Create a new order

Creates a new order in the system. Even though an order is created successfully, the response can return an array named "validationErrors" containing errors that will need to be addressed. Note that Basic Authentication is required for all requests as such, make sure to provide the Authorization header with a valid value. Should you choose to provide a callback url by using the 'WebhookUrl' field, we will send a HTTP POST request to that URL with a JSON payload containing the OrderId when the order is either delivered or cancelled.

Body Params
pickupAddress
object
required
pickupLocation
object
pickupContactInfo
object
pickupWindow
object
pickupLocalWindow
object
string | null
dropoffAddress
object
required
dropoffLocation
object
dropoffContactInfo
object
dropoffWindow
object
dropoffLocalWindow
object
string | null
string | null
string | null
string | null
metadata
object | null
int32 | null
double | null
date-time | null
date-time | null
string | null
attributeIds
array of strings | null
attributeIds
extraFees
array of objects | null
extraFees
int32
0 to 120
int32
0 to 120
double | null
double | null
boolean
boolean
boolean
boolean
boolean | null
string | null
string | null
string | null
workflows
array of objects | null
workflows
userFields
array of objects | null
userFields
items
array of objects | null
items
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses
200

Order created.

500

An error occurred when trying to create the order

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json